Module java.xml
Package javax.xml.transform.stax

## Class StAXResult

- java.lang.Object
- - javax.xml.transform.stax.StAXResult

All Implemented Interfaces:
  `Result`

    public class StAXResult
    extends Object
    implements Result

Acts as a holder for an XML `Result` in the form of a StAX writer,i.e. `XMLStreamWriter` or `XMLEventWriter`. `StAXResult` can be used in all cases that accept a `Result`, e.g. `Transformer`, `Validator` which accept `Result` as input.

Since:
  1.6
See Also:
  JSR 173: Streaming API for XML, `XMLStreamWriter`, `XMLEventWriter`

### Field Summary

Fields
`static String` `FEATURE` If `TransformerFactory.getFeature(String name)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

### Fields declared in interface javax.xml.transform.Result

`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

### Constructor Summary

Constructors
`StAXResult​(XMLEventWriter xmlEventWriter)` Creates a new instance of a `StAXResult` by supplying an `XMLEventWriter`.
`StAXResult​(XMLStreamWriter xmlStreamWriter)` Creates a new instance of a `StAXResult` by supplying an `XMLStreamWriter`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSystemId()` The returned system identifier is always `null`.
`XMLEventWriter` `getXMLEventWriter()` Get the `XMLEventWriter` used by this `StAXResult`.
`XMLStreamWriter` `getXMLStreamWriter()` Get the `XMLStreamWriter` used by this `StAXResult`.
`void` `setSystemId​(String systemId)` In the context of a `StAXResult`, it is not appropriate to explicitly set the system identifier.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FEATURE

    public static final String FEATURE

If `TransformerFactory.getFeature(String name)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

See Also:
  Constant Field Values

### Constructor Detail

#### StAXResult

    public StAXResult​(XMLEventWriter xmlEventWriter)

Creates a new instance of a `StAXResult` by supplying an `XMLEventWriter`.

`XMLEventWriter` must be a non-`null` reference.

Parameters:
  `xmlEventWriter` - `XMLEventWriter` used to create this `StAXResult`.
Throws:
  `IllegalArgumentException` - If `xmlEventWriter` == `null`.

#### StAXResult

    public StAXResult​(XMLStreamWriter xmlStreamWriter)

Creates a new instance of a `StAXResult` by supplying an `XMLStreamWriter`.

`XMLStreamWriter` must be a non-`null` reference.

Parameters:
  `xmlStreamWriter` - `XMLStreamWriter` used to create this `StAXResult`.
Throws:
  `IllegalArgumentException` - If `xmlStreamWriter` == `null`.

### Method Detail

#### getXMLEventWriter

    public XMLEventWriter getXMLEventWriter()

Get the `XMLEventWriter` used by this `StAXResult`.

`XMLEventWriter` will be `null` if this `StAXResult` was created with a `XMLStreamWriter`.

Returns:
  `XMLEventWriter` used by this `StAXResult`.

#### getXMLStreamWriter

    public XMLStreamWriter getXMLStreamWriter()

Get the `XMLStreamWriter` used by this `StAXResult`.

`XMLStreamWriter` will be `null` if this `StAXResult` was created with a `XMLEventWriter`.

Returns:
  `XMLStreamWriter` used by this `StAXResult`.

#### setSystemId

    public void setSystemId​(String systemId)

In the context of a `StAXResult`, it is not appropriate to explicitly set the system identifier. The `XMLEventWriter` or `XMLStreamWriter` used to construct this `StAXResult` determines the system identifier of the XML result.

An `UnsupportedOperationException` is always thrown by this method.

Specified by:
  `setSystemId` in interface `Result`
Parameters:
  `systemId` - Ignored.
Throws:
  `UnsupportedOperationException` - Is always thrown by this method.

#### getSystemId

    public String getSystemId()

The returned system identifier is always `null`.

Specified by:
  `getSystemId` in interface `Result`
Returns:
  The returned system identifier is always `null`.